Child pages
  • [php-compatibility] Compatibility issues with PHP 5.2 [5.2.1-RC1]
Skip to end of metadata
Go to start of metadata

It appears that we accidentally introduced some incompatibilities with PHP 5.2 in this release (no wonder, since we have PHP 5.4 in our development environment). I've noticed following:

  1. usage of namespace separator (e.g. \RuntimeException instead of RuntimeException), that works only for PHP 5.3+
  2. usage of SplFileObject::fputcsv method (during CSV export), that works only for PHP 5.4+

compatibility_issues_with_PHP52_fix.patch

Related Tasks

INP-1352 - Getting issue details... STATUS